<div>
    <div *ngIf='status === "A" ; 
then thenTemplateName else elseTemplateName '>
    </div>



    <ng-template #thenTemplateName>
            <h3>desactivate message</h3>
           <p> are you sure to desactivate this message </p>

            <button mat-stroked-button mat-raised-button (click)='desactivate()'>desactivate</button>
            <button mat-stroked-button mat-raised-button (click)='cancel()'>cancel</button>
    </ng-template>

    <ng-template #elseTemplateName>
        <h3>activate message</h3>
            <p> are you sure to activate this message </p>

            <button mat-stroked-button mat-raised-button (click)='activate()'>activate</button>
            <button  mat-stroked-button mat-raised-button (click)='cancel()'>cancel</button>
    </ng-template>

  </div>